#
# old_revision [43c8d115f4121fbba5fab40e9d00365636b9fb62]
#
# patch "classes/image.bbclass"
#  from [3ee271e04e5f55aafbefcc98d3e2d4a69568301f]
#    to [e1da20bc3a6143fb41abbfe3d0a7070416bdde17]
# 
# patch "classes/package_ipk.bbclass"
#  from [29c2d1055840133cc3b8317a33dc52aeeb4cd9fc]
#    to [74c1d60c5b62a72c229c78bd65e5a0a0cf6486f1]
# 
# patch "classes/packaged-staging.bbclass"
#  from [f78f0eee33bd58b04cc6cf9ebe57113a3636ba00]
#    to [569c1cd9a850336fcc5f596fc1e32a5f8252576c]
# 
# patch "classes/rootfs_deb.bbclass"
#  from [1c50f0fcce662bacf2c6333a068ce2d725a9a0fa]
#    to [2915b604977ebc5ed242886b451bab46784131f8]
# 
# patch "classes/rootfs_ipk.bbclass"
#  from [bf45905ffdc916560ffe662769f35387e731975b]
#    to [e4ec677fe7591b59875944e027a4a9bfb3d81532]
# 
# patch "classes/testlab.bbclass"
#  from [d124569b52125dfee4e161d881acec0658577a55]
#    to [77a433449ede680d28026380c4121e957fac45cc]
# 
# patch "conf/distro/angstrom-2008.1.conf"
#  from [f5acb6c6c6bd5ab3cb43d9fed4bc7b0c1b56ee5d]
#    to [5c5fce6eea9295023e972ef3168ecfe9d891845c]
# 
# patch "conf/distro/include/sane-srcrevs.inc"
#  from [259383497d4fc0110a4243b6b470ad126dbf39b8]
#    to [a9e647064c448b102b620dda1bd552ba52495566]
# 
# patch "packages/angstrom/angstrom-feed-configs.bb"
#  from [486fc4918f2c8a68142e81f078766cb17d1af82c]
#    to [eb9e83c8d5cdc3ec7d18e673a8c81e176e167f7d]
# 
# patch "packages/meta/meta-toolchain.bb"
#  from [95ccbc599aa34310c2d939504ab869df02206d32]
#    to [b6e5c4c6a79a540177927977ed4d729e0393996e]
# 
# patch "packages/tasks/task-base.bb"
#  from [47914cc275060af9ade4a3f8bec2034b23a9e7c6]
#    to [186f4d60b7ddf777a9a412ac08dfb89e73edf87d]
#
============================================================
--- classes/image.bbclass	3ee271e04e5f55aafbefcc98d3e2d4a69568301f
+++ classes/image.bbclass	e1da20bc3a6143fb41abbfe3d0a7070416bdde17
@@ -85,8 +85,6 @@ fakeroot do_rootfs () {
 
 	insert_feed_uris	
 
-	rm -f ${IMAGE_ROOTFS}${libdir}/ipkg/lists/*
-	
 	${IMAGE_PREPROCESS_COMMAND}
 		
 	export TOPDIR=${TOPDIR}
@@ -132,7 +130,7 @@ insert_feed_uris () {
 		echo "Added $feed_name feed with URL $feed_uri"
 		
 		# insert new feed-sources
-		echo "src/gz $feed_name $feed_uri" >> ${IMAGE_ROOTFS}/etc/ipkg/${feed_name}-feed.conf
+		echo "src/gz $feed_name $feed_uri" >> ${IMAGE_ROOTFS}/etc/opkg/${feed_name}-feed.conf
 	done			
 
 	# Allow to use package deploy directory contents as quick devel-testing
@@ -142,7 +140,7 @@ insert_feed_uris () {
 	if [ -n "${FEED_DEPLOYDIR_BASE_URI}" ]; then
 	    for arch in ${PACKAGE_ARCHS}
 	    do
-		echo "src/gz local-$arch ${FEED_DEPLOYDIR_BASE_URI}/$arch" >> ${IMAGE_ROOTFS}/etc/ipkg/local-$arch-feed.conf
+		echo "src/gz local-$arch ${FEED_DEPLOYDIR_BASE_URI}/$arch" >> ${IMAGE_ROOTFS}/etc/opkg/local-$arch-feed.conf
 	    done
 	fi
 }
============================================================
--- classes/package_ipk.bbclass	29c2d1055840133cc3b8317a33dc52aeeb4cd9fc
+++ classes/package_ipk.bbclass	74c1d60c5b62a72c229c78bd65e5a0a0cf6486f1
@@ -1,17 +1,17 @@ inherit package
 inherit package
 
-BOOTSTRAP_EXTRA_RDEPENDS += "ipkg-collateral ipkg"
+BOOTSTRAP_EXTRA_RDEPENDS += "opkg-collateral opkg"
 IMAGE_PKGTYPE ?= "ipk"
 
-IPKGCONF_TARGET = "${STAGING_ETCDIR_NATIVE}/ipkg.conf"
-IPKGCONF_SDK =  "${STAGING_ETCDIR_NATIVE}/ipkg-sdk.conf"
+IPKGCONF_TARGET = "${STAGING_ETCDIR_NATIVE}/opkg.conf"
+IPKGCONF_SDK =  "${STAGING_ETCDIR_NATIVE}/opkg-sdk.conf"
 
 python package_ipk_fn () {
 	from bb import data
 	bb.data.setVar('PKGFN', bb.data.getVar('PKG',d), d)
 }
 
-python package_ipk_install () {
+python package_ipk_install () { 
 	#
 	# Warning - this function is not multimachine safe (see stagingdir reference)!
 	#
@@ -35,7 +35,7 @@ python package_ipk_install () {
 		raise bb.build.FuncFailed
 
 	# Generate ipk.conf if it or the stamp doesnt exist
-	conffile = os.path.join(stagingdir,"ipkg.conf")
+	conffile = os.path.join(stagingdir,"opkg.conf")
 	if not os.access(conffile, os.R_OK):
 		ipkg_archs = bb.data.getVar('PACKAGE_ARCHS',d)
 		if ipkg_archs is None:
@@ -60,8 +60,8 @@ python package_ipk_install () {
 		f = open(os.path.join(tmpdir, "stamps", "IPK_PACKAGE_INDEX_CLEAN"),"w")
 		f.close()
 
-	ret = os.system('ipkg-cl  -o %s -f %s update' % (rootfs, conffile))
-	ret = os.system('ipkg-cl  -o %s -f %s install %s' % (rootfs, conffile, pkgfn))
+	ret = os.system('opkg-cl  -o %s -f %s update' % (rootfs, conffile))
+	ret = os.system('opkg-cl  -o %s -f %s install %s' % (rootfs, conffile, pkgfn))
 	if (ret != 0 ):
 		raise bb.build.FuncFailed
 }
============================================================
--- classes/packaged-staging.bbclass	f78f0eee33bd58b04cc6cf9ebe57113a3636ba00
+++ classes/packaged-staging.bbclass	569c1cd9a850336fcc5f596fc1e32a5f8252576c
@@ -26,6 +26,8 @@ PSTAGE_NATIVEDEPENDS = "\
     pkgconfig-native \
     autoconf-native \
     automake-native \
+    curl-native \
+    zlib-native \
     libtool-native \
     gnu-config-native \
     shasum-native \
@@ -33,7 +35,7 @@ PSTAGE_NATIVEDEPENDS = "\
     automake-native \
     update-alternatives-cworth-native \
     ipkg-utils-native \
-    ipkg-native \
+    opkg-native \
     m4-native \
     quilt-native \
     stagemanager-native \
@@ -70,7 +72,7 @@ python () {
         bb.data.setVarFlag('do_populate_staging', 'depends', deps, d)
 
         deps = bb.data.getVarFlag('do_prepackaged_stage', 'depends', d) or ""
-        deps += " ipkg-native:do_populate_staging ipkg-utils-native:do_populate_staging"
+        deps += " opkg-native:do_populate_staging ipkg-utils-native:do_populate_staging"
         bb.data.setVarFlag('do_prepackaged_stage', 'depends', deps, d)
         bb.data.setVar("PSTAGING_ACTIVE", "1", d)
     else:
@@ -78,13 +80,13 @@ DEPLOY_DIR_PSTAGE 	= "${DEPLOY_DIR}/psta
 }
 
 DEPLOY_DIR_PSTAGE 	= "${DEPLOY_DIR}/pstage"
-PSTAGE_MACHCONFIG       = "${DEPLOY_DIR_PSTAGE}/ipkg.conf"
+PSTAGE_MACHCONFIG       = "${DEPLOY_DIR_PSTAGE}/opkg.conf"
 
 PSTAGE_BUILD_CMD        = "${IPKGBUILDCMD}"
-PSTAGE_INSTALL_CMD      = "ipkg-cl install -force-depends -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
-PSTAGE_UPDATE_CMD	= "ipkg-cl update -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
-PSTAGE_REMOVE_CMD       = "ipkg-cl remove -force-depends -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
-PSTAGE_LIST_CMD		= "ipkg-cl list_installed -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
+PSTAGE_INSTALL_CMD      = "opkg-cl install -force-depends -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
+PSTAGE_UPDATE_CMD	= "opkg-cl update -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
+PSTAGE_REMOVE_CMD       = "opkg-cl remove -force-depends -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
+PSTAGE_LIST_CMD		= "opkg-cl list_installed -f ${PSTAGE_MACHCONFIG} -o ${TMPDIR}"
 
 PSTAGE_TMPDIR_STAGE     = "${WORKDIR}/staging-pkg"
 
@@ -106,7 +108,7 @@ staging_helper () {
 }
 
 staging_helper () {
-	# Assemble appropriate ipkg.conf
+	# Assemble appropriate opkg.conf
 	conffile=${PSTAGE_MACHCONFIG}
 	mkdir -p ${DEPLOY_DIR_PSTAGE}/pstaging_lists
 	if [ ! -e $conffile ]; then
============================================================
--- classes/rootfs_deb.bbclass	1c50f0fcce662bacf2c6333a068ce2d725a9a0fa
+++ classes/rootfs_deb.bbclass	2915b604977ebc5ed242886b451bab46784131f8
@@ -109,22 +109,22 @@ fakeroot rootfs_deb_do_rootfs () {
 
 	set -e
 
-	# Hacks to make dpkg/ipkg coexist for now
+	# Hacks to make dpkg/opkg coexist for now
 	mv ${IMAGE_ROOTFS}/var/dpkg ${IMAGE_ROOTFS}/usr/
 	if [ -e ${IMAGE_ROOTFS}/usr/dpkg/alternatives ]; then
 		rmdir ${IMAGE_ROOTFS}/usr/dpkg/alternatives
 	fi
-        if [ ! -e ${IMAGE_ROOTFS}${libdir}/ipkg ] ; then
-                mkdir -p ${IMAGE_ROOTFS}${libdir}/ipkg
+        if [ ! -e ${IMAGE_ROOTFS}${libdir}/opkg ] ; then
+                mkdir -p ${IMAGE_ROOTFS}${libdir}/opkg
         fi
 
-        if [ ! -e ${IMAGE_ROOTFS}${sysconfdir}/ipkg ] ; then
-                mkdir -p ${IMAGE_ROOTFS}${sysconfdir}/ipkg
+        if [ ! -e ${IMAGE_ROOTFS}${sysconfdir}/opkg ] ; then
+                mkdir -p ${IMAGE_ROOTFS}${sysconfdir}/opkg
         fi
  
-	ln -sf ${libdir}/ipkg/alternatives ${IMAGE_ROOTFS}/usr/dpkg/alternatives
-	ln -sf /usr/dpkg/info ${IMAGE_ROOTFS}${libdir}/ipkg/info
-	ln -sf /usr/dpkg/status ${IMAGE_ROOTFS}${libdir}/ipkg/status
+	ln -sf ${libdir}/opkg/alternatives ${IMAGE_ROOTFS}/usr/dpkg/alternatives
+	ln -sf /usr/dpkg/info ${IMAGE_ROOTFS}${libdir}/opkg/info
+	ln -sf /usr/dpkg/status ${IMAGE_ROOTFS}${libdir}/opkg/status
 
 	${ROOTFS_POSTPROCESS_COMMAND}
 
@@ -152,6 +152,6 @@ remove_packaging_data_files() {
 }
 
 remove_packaging_data_files() {
-	rm -rf ${IMAGE_ROOTFS}${libdir}/ipkg/
+	rm -rf ${IMAGE_ROOTFS}${libdir}/opkg/
 	rm -rf ${IMAGE_ROOTFS}/usr/dpkg/
 }
============================================================
--- classes/rootfs_ipk.bbclass	bf45905ffdc916560ffe662769f35387e731975b
+++ classes/rootfs_ipk.bbclass	e4ec677fe7591b59875944e027a4a9bfb3d81532
@@ -5,12 +5,12 @@
 # See image.bbclass for a usage of this.
 #
 
-do_rootfs[depends] += "ipkg-native:do_populate_staging ipkg-utils-native:do_populate_staging"
+do_rootfs[depends] += "opkg-native:do_populate_staging ipkg-utils-native:do_populate_staging"
 do_rootfs[recrdeptask] += "do_package_write_ipk"
 
 IPKG_ARGS = "-f ${IPKGCONF_TARGET} -o ${IMAGE_ROOTFS} ${@base_conditional("PACKAGE_INSTALL_NO_DEPS", "1", "-nodeps", "", d)}"
 
-DISTRO_EXTRA_RDEPENDS += " ipkg ipkg-collateral "
+DISTRO_EXTRA_RDEPENDS += " opkg opkg-collateral "
 PACKAGE_INSTALL_NO_DEPS ?= "0"
 
 fakeroot rootfs_ipk_do_rootfs () {
@@ -21,41 +21,43 @@ fakeroot rootfs_ipk_do_rootfs () {
 
 	mkdir -p ${T}
 
-	ipkg-cl ${IPKG_ARGS} update
+	opkg-cl ${IPKG_ARGS} update
 
 	# Uclibc builds don't provide this stuff...
 	if [ x${TARGET_OS} = "xlinux" ] || [ x${TARGET_OS} = "xlinux-gnueabi" ] ; then 
 		if [ ! -z "${LINGUAS_INSTALL}" ]; then
-			ipkg-cl ${IPKG_ARGS} install glibc-localedata-i18n
+			opkg-cl ${IPKG_ARGS} install glibc-localedata-i18n
 			for i in ${LINGUAS_INSTALL}; do
-				ipkg-cl ${IPKG_ARGS} install $i 
+				opkg-cl ${IPKG_ARGS} install $i 
 			done
 		fi
 	fi
 	if [ ! -z "${PACKAGE_INSTALL}" ]; then
-		ipkg-cl ${IPKG_ARGS} install ${PACKAGE_INSTALL}
+		opkg-cl ${IPKG_ARGS} install ${PACKAGE_INSTALL}
 	fi
 
 	export D=${IMAGE_ROOTFS}
 	export OFFLINE_ROOT=${IMAGE_ROOTFS}
 	export IPKG_OFFLINE_ROOT=${IMAGE_ROOTFS}
-	mkdir -p ${IMAGE_ROOTFS}${sysconfdir}/ipkg/
-	grep "^arch" ${IPKGCONF_TARGET} >${IMAGE_ROOTFS}${sysconfdir}/ipkg/arch.conf
+	mkdir -p ${IMAGE_ROOTFS}${sysconfdir}/opkg/
+	grep "^arch" ${IPKGCONF_TARGET} >${IMAGE_ROOTFS}${sysconfdir}/opkg/arch.conf
 
-	for i in ${IMAGE_ROOTFS}${libdir}/ipkg/info/*.preinst; do
+	for i in ${IMAGE_ROOTFS}${libdir}/opkg/info/*.preinst; do
 		if [ -f $i ] && ! sh $i; then
-			ipkg-cl ${IPKG_ARGS} flag unpacked `basename $i .preinst`
+			opkg-cl ${IPKG_ARGS} flag unpacked `basename $i .preinst`
 		fi
 	done
-	for i in ${IMAGE_ROOTFS}${libdir}/ipkg/info/*.postinst; do
+	for i in ${IMAGE_ROOTFS}${libdir}/opkg/info/*.postinst; do
 		if [ -f $i ] && ! sh $i configure; then
-			ipkg-cl ${IPKG_ARGS} flag unpacked `basename $i .postinst`
+			opkg-cl ${IPKG_ARGS} flag unpacked `basename $i .postinst`
 		fi
 	done
 
 	install -d ${IMAGE_ROOTFS}/${sysconfdir}
 	echo ${BUILDNAME} > ${IMAGE_ROOTFS}/${sysconfdir}/version
 
+	rm -f ${IMAGE_ROOTFS}${libdir}/opkg/lists/*
+	
 	${ROOTFS_POSTPROCESS_COMMAND}
 	
 	log_check rootfs 	
@@ -82,5 +84,5 @@ remove_packaging_data_files() {
 }
 
 remove_packaging_data_files() {
-	rm -rf ${IMAGE_ROOTFS}${libdir}/ipkg/
+	rm -rf ${IMAGE_ROOTFS}${libdir}/opkg/
 }
============================================================
--- classes/testlab.bbclass	d124569b52125dfee4e161d881acec0658577a55
+++ classes/testlab.bbclass	77a433449ede680d28026380c4121e957fac45cc
@@ -19,10 +19,10 @@
 # * add test suite to run on the target device 
 
 
-# Needs 'dot', 'ipkg-cl'
+# Needs 'dot', 'opkg-cl'
 
 do_testlab() {
-if [ -e  ${IMAGE_ROOTFS}/etc/ipkg ] ; then
+if [ -e  ${IMAGE_ROOTFS}/etc/opkg ] ; then
 
 	TESTLAB_DIR="${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}-testlab"
         mkdir -p ${TESTLAB_DIR}/
@@ -31,14 +31,14 @@ if [ -e  ${IMAGE_ROOTFS}/etc/ipkg ] ; th
 	echo > ${TESTLAB_DIR}/installed-packages.txt
 	echo -e "digraph depends {\n    node [shape=plaintext]" > ${TESTLAB_DIR}/depends.dot
 
-	for pkg in $(ipkg-cl -f ${IMAGE_ROOTFS}/etc/ipkg -o ${IMAGE_ROOTFS} list_installed | awk '{print $1}') ; do 
-    		ipkg-cl -f ${IMAGE_ROOTFS}/etc/ipkg -o ${IMAGE_ROOTFS} info $pkg | grep Filename | awk -F: '{print $2}'  >> ${TESTLAB_DIR}/installed-packages.txt
+	for pkg in $(opkg-cl -f ${IMAGE_ROOTFS}/etc/opkg -o ${IMAGE_ROOTFS} list_installed | awk '{print $1}') ; do 
+    		opkg-cl -f ${IMAGE_ROOTFS}/etc/opkg -o ${IMAGE_ROOTFS} info $pkg | grep Filename | awk -F: '{print $2}'  >> ${TESTLAB_DIR}/installed-packages.txt
 
-    		for depends in $(ipkg-cl -f ${IMAGE_ROOTFS}/etc/ipkg -o  ${IMAGE_ROOTFS} info $pkg | grep Depends) ; do 
+    		for depends in $(opkg-cl -f ${IMAGE_ROOTFS}/etc/opkg -o  ${IMAGE_ROOTFS} info $pkg | grep Depends) ; do 
         		echo "$pkg OPP $depends;" | grep -v "(" | grep -v ")" | grep -v Depends | sed -e 's:,::g' -e 's:-:_:g' -e 's:\.:_:g' -e 's:+::g' |sed 's:OPP:->:g' >> ${TESTLAB_DIR}/depends.dot
     		done
     		
-		for recommends in $(ipkg-cl -f ${IMAGE_ROOTFS}/etc/ipkg -o ${IMAGE_ROOTFS} info $pkg | grep Recom) ; do
+		for recommends in $(opkg-cl -f ${IMAGE_ROOTFS}/etc/opkg -o ${IMAGE_ROOTFS} info $pkg | grep Recom) ; do
         		echo "$pkg OPP $recommends [style=dotted];" | grep -v "(" | grep -v ")" | grep -v Recom | sed -e 's:,::g' -e 's:-:_:g' -e 's:\.:_:g' -e 's:+::g' |sed 's:OPP:->:g' >> ${TESTLAB_DIR}/depends.dot
     		done
 	done
============================================================
--- conf/distro/angstrom-2008.1.conf	f5acb6c6c6bd5ab3cb43d9fed4bc7b0c1b56ee5d
+++ conf/distro/angstrom-2008.1.conf	5c5fce6eea9295023e972ef3168ecfe9d891845c
@@ -210,7 +210,7 @@ DISTRO_EXTRA_RDEPENDS += "\
     update-modules \
     ${@base_contains("MACHINE_FEATURES", "screen", "psplash", "",d)} \   
     angstrom-version \
-    opkg-ipkg-compat ${ANGSTROM_FEED_CONFIGS} \
+    opkg opkg-collateral ${ANGSTROM_FEED_CONFIGS} \
     util-linux-mount util-linux-umount \
     ${DEBUG_APPS} \
     "
============================================================
--- conf/distro/include/sane-srcrevs.inc	259383497d4fc0110a4243b6b470ad126dbf39b8
+++ conf/distro/include/sane-srcrevs.inc	a9e647064c448b102b620dda1bd552ba52495566
@@ -136,8 +136,9 @@ SRCREV_pn-openocd-native ?= "206"
 SRCREV_pn-openmoko-worldclock2 ?= "3365"
 SRCREV_pn-openocd ?= "206"
 SRCREV_pn-openocd-native ?= "206"
-SRCREV_pn-opkg ?= "4142"
-SRCREV_pn-opkg-native ?= "4142"
+SRCREV_pn-opkg ?= "4209"
+SRCREV_pn-opkg-native ?= "4209"
+SRCREV_pn-opkg-sdk ?= "4209"
 SRCREV_pn-oprofileui ?= "160"
 SRCREV_pn-psplash ?= "249"
 SRCREV_pn-pylgrim ?= "20"
============================================================
--- packages/angstrom/angstrom-feed-configs.bb	486fc4918f2c8a68142e81f078766cb17d1af82c
+++ packages/angstrom/angstrom-feed-configs.bb	eb9e83c8d5cdc3ec7d18e673a8c81e176e167f7d
@@ -1,7 +1,7 @@ DESCRIPTION = "Configuration files for o
 DESCRIPTION = "Configuration files for online package repositories aka feeds"
 
 #PV = "${DISTRO_VERSION}"
-PR = "r4"
+PR = "r5"
 PACKAGE_ARCH = "${MACHINE_ARCH}"
 
 FEED_BASEPATH ?= "unstable/feed/"
@@ -9,37 +9,32 @@ do_compile() {
 IWMMXT_FEED = "${@base_contains('MACHINE_FEATURES', 'iwmmxt', 'iwmmxt', '',d)}"
 
 do_compile() {
-        mkdir -p ${S}/${sysconfdir}/ipkg
+        mkdir -p ${S}/${sysconfdir}/opkg
 	for feed in base debug perl python gstreamer ; do
-          echo "src/gz ${feed} ${ANGSTROM_URI}/${FEED_BASEPATH}${FEED_ARCH}/${feed}" > ${S}/${sysconfdir}/ipkg/${feed}-feed.conf
+          echo "src/gz ${feed} ${ANGSTROM_URI}/${FEED_BASEPATH}${FEED_ARCH}/${feed}" > ${S}/${sysconfdir}/opkg/${feed}-feed.conf
 	done
 
-        echo "src/gz ${MACHINE_ARCH} ${ANGSTROM_URI}/${FEED_BASEPATH}${FEED_ARCH}/machine/${MACHINE_ARCH}" >  ${S}/${sysconfdir}/ipkg/${MACHINE_ARCH}-feed.conf
-	echo "src/gz no-arch ${ANGSTROM_URI}/${FEED_BASEPATH}/all" > ${S}/${sysconfdir}/ipkg/noarch-feed.conf
+        echo "src/gz ${MACHINE_ARCH} ${ANGSTROM_URI}/${FEED_BASEPATH}${FEED_ARCH}/machine/${MACHINE_ARCH}" >  ${S}/${sysconfdir}/opkg/${MACHINE_ARCH}-feed.conf
+	echo "src/gz no-arch ${ANGSTROM_URI}/${FEED_BASEPATH}/all" > ${S}/${sysconfdir}/opkg/noarch-feed.conf
         
 	# iwmmxt is a special case, add the iwmmxt feed for machine that have 'iwmmxt' in MACHINE_FEATURES
         if [ "${IWMMXT_FEED}" = "iwmmxt" ] ; then
-	  echo "src/gz iwmmxt ${ANGSTROM_URI}/${FEED_BASEPATH}iwmmxt/base" > ${S}/${sysconfdir}/ipkg/iwmmxt-feed.conf
+	  echo "src/gz iwmmxt ${ANGSTROM_URI}/${FEED_BASEPATH}iwmmxt/base" > ${S}/${sysconfdir}/opkg/iwmmxt-feed.conf
 	fi  
 }
 
 
 do_install () {
-        install -d ${D}${sysconfdir}/ipkg
-	install -m 0644  ${S}/${sysconfdir}/ipkg/* ${D}${sysconfdir}/ipkg/
-        # opkg compat symlinks
         install -d ${D}${sysconfdir}/opkg
-        for feed in ${D}${sysconfdir}/ipkg/* ; do
-           ln -sf ${sysconfdir}/ipkg/$(basename $feed) ${D}${sysconfdir}/opkg/$(basename $feed)
-        done
+	install -m 0644  ${S}/${sysconfdir}/opkg/* ${D}${sysconfdir}/opkg/
 }
 
-CONFFILES_${PN} += "${sysconfdir}/ipkg/base-feed.conf \
-                    ${sysconfdir}/ipkg/debug-feed.conf \
-                    ${sysconfdir}/ipkg/perl-feed.conf \
-                    ${sysconfdir}/ipkg/python-feed.conf \
-                    ${sysconfdir}/ipkg/gstreamer-feed.conf \
-                    ${sysconfdir}/ipkg/${MACHINE_ARCH}-feed.conf \
-                    ${sysconfdir}/ipkg/noarch-feed.conf \
+CONFFILES_${PN} += "${sysconfdir}/opkg/base-feed.conf \
+                    ${sysconfdir}/opkg/debug-feed.conf \
+                    ${sysconfdir}/opkg/perl-feed.conf \
+                    ${sysconfdir}/opkg/python-feed.conf \
+                    ${sysconfdir}/opkg/gstreamer-feed.conf \
+                    ${sysconfdir}/opkg/${MACHINE_ARCH}-feed.conf \
+                    ${sysconfdir}/opkg/noarch-feed.conf \
                    "
 
============================================================
--- packages/meta/meta-toolchain.bb	95ccbc599aa34310c2d939504ab869df02206d32
+++ packages/meta/meta-toolchain.bb	b6e5c4c6a79a540177927977ed4d729e0393996e
@@ -1,6 +1,6 @@ LICENSE = "MIT"
 DESCRIPTION = "Meta package for building a installable toolchain"
 LICENSE = "MIT"
-DEPENDS = "ipkg-native ipkg-utils-native fakeroot-native sed-native"
+DEPENDS = "opkg-native ipkg-utils-native fakeroot-native sed-native"
 
 inherit sdk meta
 
@@ -9,8 +9,8 @@ SDK_DEPLOY = "${TMPDIR}/deploy/sdk"
 SDK_OUTPUT2 = "${SDK_DIR}/image-extras"
 SDK_DEPLOY = "${TMPDIR}/deploy/sdk"
 
-IPKG_HOST = "ipkg-cl -f ${IPKGCONF_SDK} -o ${SDK_OUTPUT}"
-IPKG_TARGET = "ipkg-cl -f ${IPKGCONF_TARGET} -o ${SDK_OUTPUT}/temp-target"
+IPKG_HOST = "opkg-cl -f ${IPKGCONF_SDK} -o ${SDK_OUTPUT}"
+IPKG_TARGET = "opkg-cl -f ${IPKGCONF_TARGET} -o ${SDK_OUTPUT}/temp-target"
 
 TOOLCHAIN_HOST_TASK ?= "task-sdk-host"
 TOOLCHAIN_TARGET_TASK ?= "task-sdk-bare"
@@ -40,8 +40,8 @@ do_populate_sdk() {
 	mkdir -p ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/include
 	mkdir -p ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/lib/.debug/
 	mkdir -p ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/share
-	mv ${SDK_OUTPUT}/temp-target/usr/lib/ipkg/status ${SDK_OUTPUT}/${prefix}/package-status
-	rm -rf ${SDK_OUTPUT}/temp-target/usr/lib/ipkg/
+	mv ${SDK_OUTPUT}/temp-target/usr/lib/opkg/status ${SDK_OUTPUT}/${prefix}/package-status
+	rm -rf ${SDK_OUTPUT}/temp-target/usr/lib/opkg/
 	cp -pPR ${SDK_OUTPUT}/temp-target/usr/include/* ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/include/
 	cp -pPR ${SDK_OUTPUT}/temp-target/usr/lib/* ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/lib/
 	if [ -d ${SDK_OUTPUT}/temp-target/usr/lib/.debug ]; then
@@ -69,7 +69,7 @@ do_populate_sdk() {
 	echo 'GROUP ( libc.so.6 libc_nonshared.a )' > ${SDK_OUTPUT}/${prefix}/${TARGET_SYS}/lib/libc.so
 
 	# remove unwanted housekeeping files
-	mv ${SDK_OUTPUT}/usr/lib/ipkg/status ${SDK_OUTPUT}/${prefix}/package-status-host
+	mv ${SDK_OUTPUT}/usr/lib/opkg/status ${SDK_OUTPUT}/${prefix}/package-status-host
 	rm -Rf ${SDK_OUTPUT}/usr/lib
 
 	# extract and store ipks, pkgdata and shlibs data
============================================================
--- packages/tasks/task-base.bb	47914cc275060af9ade4a3f8bec2034b23a9e7c6
+++ packages/tasks/task-base.bb	186f4d60b7ddf777a9a412ac08dfb89e73edf87d
@@ -1,5 +1,5 @@ DESCRIPTION = "Merge machine and distro 
 DESCRIPTION = "Merge machine and distro options to create a basic machine task/package"
-PR = "r63"
+PR = "r65"
 
 inherit task
 
